GET

https://send.now/api/file/short_link?key=1ltghrilhllgrx2b2&file_code=eb58d02u8znz

Parameters Description Example Format Required
key API-Key 1ltghrilhllgrx2b2 String yes
file_code File code of one of your files eb58d02u8znz String yes

cURL example


curl --include \
'https://send.now/api/file/short_link?key=1ltghrilhllgrx2b2&file_code=eb58d02u8znz'
          

Response


{
  "msg": "OK",
  "result": {
    "file_code": "eb58d02u8znz",
    "short_link": "https://send.now/d/1pbZB"
  },
  "status": 200,
  "server_time": "2024-08-26 12:19:28"
}
          

Notice

The short link opens the download page of the file. It can be used as url in File info, Check links and DMCA takedown.
The link is made the first time it is asked for and stays the same afterwards.
Only your own files: 404 for any other file.

Status code

200 Everything is OK. Request succeeded
400 Bad request (e.g. wrong parameters)
403 Permission denied
404 File not found
451 Unavailable